/*
 * ***** BEGIN LICENSE BLOCK *****
 * Copyright (C) 2011-2016 ZeXtras
 *
 * The contents of this file are subject to the ZeXtras EULA;
 * you may not use this file except in compliance with the EULA.
 * You may obtain a copy of the EULA at
 * http://www.zextras.com/zextras-eula.html
 * ***** END LICENSE BLOCK *****
 */

/**
 * Container object for ALL links used into ZeXtras Interface.
 * @constructor
 */
function ZxLinks() {}

ZxLinks.MainSite = 'https://www.zimbra.com/';

ZxLinks.Download = ZxLinks.MainSite + 'zimbra-suite-plus/';

/**
 * Main Link to Zimbra Store
 * @type {string}
 */
ZxLinks.Store = 'https://www.zimbra.com/try/zimbra-suite-plus';

/**
 * Main Link to Zimbra Wiki
 * @type {string}
 */
ZxLinks.Wiki = 'http://wiki.zimbra.com/wiki/Zimbra_Suite_Plus/';

ZxLinks.Forum = 'http://forums.zimbra.org';

ZxLinks.Support = 'http://support.zimbra.com/';

ZxLinks.MSG_Module_Disabled_on_NE = ZxLinks.Wiki + 'Running_Zimbra_Suite_Plus_on_Zimbra_Network_Edition';

ZxLinks.MSG_Mobile_Device_Management = ZxLinks.Wiki + 'Zimbra_Mobile_Plus_Mobile_Device_Management';

/**
 * Used in the Admin module as main help link on the module page.
 * @type {string}
 */
ZxLinks.HELP_DLG_Admin = ZxLinks.Wiki + 'Zimbra_Admin';

/**
 * @type {string}
 */
ZxLinks.HELP_DLG_Dialog_ResetSettings = ZxLinks.Wiki + 'Zimbra_Admin/Configuration_Reset';

ZxLinks.HELP_DLG_Dialog_Reset_Domain_Settings = ZxLinks.Wiki + 'Zimbra_Admin/Domain_Limits#Reset_the_limits_of_a_Domain';

ZxLinks.HELP_DLG_Dialog_Edit_Domain_Settings = ZxLinks.Wiki + 'Zimbra_Admin/Domain_Limits#Edit_the_limits_of_a_Domain';

ZxLinks.HELP_DLG_Dialog_Browse_log = ZxLinks.Wiki + 'Zimbra_Admin/Domain_Admin_Log_Browsing';

ZxLinks.HELP_DLG_Dialog_Change_log_path = ZxLinks.Wiki + 'Zimbra_Admin/Reports_and_Informations#Changing_The_Zimbra_Admin_Log_Path';

ZxLinks.HELP_DLG_Change_log_path_changed = ZxLinks.Wiki + 'Zimbra_Admin/Reports_and_Informations#Changing_The_Zimbra_Admin_Log_Path';

ZxLinks.HELP_DLG_Admin_provisioning = ZxLinks.Wiki + 'Zimbra_Admin/Delegated_Admin_Provisioning';

ZxLinks.HELP_DLG_Admin_provisioning_remove_cos = ZxLinks.Wiki + 'Zimbra_Admin/Delegated_Admin_Provisioning';

ZxLinks.HELP_DLG_Delete_delegated_admin = ZxLinks.Wiki + 'Zimbra_Admin/Delegated_Admin_Provisioning#From_the_Zimbra_Suite_Plus_Administration_Zimlet_3';

ZxLinks.HELP_DLG_Add_delegated_admin = ZxLinks.Wiki + 'Zimbra_Admin/Delegated_Admin_Provisioning#From_the_Zimbra_Suite_Plus_Administration_Zimlet';

ZxLinks.HELP_DLG_Modify_delegated_admin = ZxLinks.Wiki + 'Zimbra_Admin/Delegated_Admin_Provisioning#From_the_Zimbra_Suite_Plus_Administration_Zimlet_2';

ZxLinks.HELP_DLG_About_Reports = ZxLinks.Wiki + 'Zimbra_Admin/Reports_and_Informations';

ZxLinks.HELP_DLG_About_Browse_Logs = ZxLinks.Wiki + 'Zimbra_Admin/Domain_Admin_Log_Browsing';

/**
 * Used in the Backup module as main help link on the module page.
 * @type {string}
 */
ZxLinks.HELP_BCK_Backup = ZxLinks.Wiki + 'Zimbra_Backup_Plus';

/**
 * Used in the help button of the import wizard of the backup module.
 * @type {string}
 */
ZxLinks.HELP_BCK_Export_wizard = ZxLinks.Wiki + 'Zimbra_Backup_Plus/ExternalBackup';

/**
 * Used in the help button of the export wizard of the backup module.
 * @type {string}
 */
ZxLinks.HELP_BCK_Import_wizard = ZxLinks.Wiki + 'Zimbra_Backup_Plus/ExternalRestore';

/**
 * Used in the help button of the restore wizard of the backup module.
 * @type {string}
 */
ZxLinks.HELP_BCK_Restore_wizard = ZxLinks.Wiki + 'Zimbra_Backup_Plus/Admin_Guide#Restore';

ZxLinks.HELP_BCK_User_tab_info = ZxLinks.Wiki + 'Zimbra_Backup_Plus/COS-level_Backup_Management';

/**
 * @type {string}
 */
ZxLinks.BCK_Case_insensitive_info = ZxLinks.Wiki + 'Zimbra_Backup_Plus/Case_Sensitive_filesystem';
/**
 * @type {string}
 */

ZxLinks.BCK_BackupFirstInitialization = ZxLinks.Wiki + 'Zimbra_Backup_Plus/Initialization';
/**
 * @type {string}
 */
ZxLinks.BCK_BackupNotAvailable = ZxLinks.Wiki + 'Zimbra_Backup_Plus/Initialization#.22Zimbra_Backup_Plus_is_not_initialized.22';

/**
 * Used in the Chat module as main help link on the module page.
 * @type {string}
 */
ZxLinks.HELP_CHT_Chat = ZxLinks.Wiki + 'ZxChat';

/**
 * @type {string}
 */
ZxLinks.HELP_CHT_Dialog_Deploy_Zimlet = ZxLinks.Wiki + 'ZxChat_Zimlet_Install_Guide';

/**
 * @type {string}
 */
ZxLinks.CHT_Installation_Zimlet_Guide = ZxLinks.Wiki + 'ZxChat_Zimlet_Install_Guide';

/**
 * Used in the Core module as main help link on the module page.
 * @type {string}
 */
ZxLinks.HELP_COR_Core = ZxLinks.Wiki + 'License_Management';

/**
 * @type {string}
 */
ZxLinks.HELP_COR_Dialog_CheckUpdate = ZxLinks.Wiki + 'Changelog';

/**
 * @type {string}
 */
ZxLinks.HELP_COR_Dialog_CheckUpdate_Troubleshooting = ZxLinks.Wiki + 'CheckUpdate_Troubleshooting';

/**
 * @type {string}
 */
ZxLinks.HELP_COR_Dialog_ContactForLicense = ZxLinks.Wiki + 'License_Management';

/**
 * @type {string}
 */
ZxLinks.COR_Download_ZeXtras_for_Zimbra = ZxLinks.MainSite + 'zimbra-suite-plus/';

/**
 * @type {string}
 */
ZxLinks.COR_License_how_work = ZxLinks.Wiki + 'License_Management#How_Zimbra_Suite_Plus_Licensing_works';

/**
 * @type {string}
 */
ZxLinks.COR_License_Management_info = ZxLinks.Wiki + 'License_Management';

/**
 * Used in the help button of Stats dialog of the ZxFreeTools
 * @type {string}
 */
ZxLinks.HELP_COR_Stats_dialog = ZxLinks.Wiki + 'License_Management';

/**
 * Used in the Powerstore module as main help link on the module page.
 * @type {string}
 */
ZxLinks.HELP_HSM_Powerstore = ZxLinks.Wiki + 'Zimbra_HSM_Plus/HSM_Admin_Guide';

/**
 * Used in the help button of the "Add/Modify HSM" dialog of the powerstore module.
 * @type {string}
 */
ZxLinks.HELP_HSM_Dialog_AddModify_HSM = ZxLinks.Wiki + 'Zimbra_HSM_Plus/Hierarchical_Storage_Management';

/**
 * Used in the help button of the "Add/Modify Volume" dialog of the powerstore module.
 * @type {string}
 */
ZxLinks.HELP_HSM_Dialog_AddModify_Volume = ZxLinks.Wiki + 'Zimbra_HSM_Plus/Volume_Management';
ZxLinks.HELP_HSM_Dialog_AddModify_S3_Volume = ZxLinks.Wiki + 'Zimbra_HSM_Plus/Secondary_volumes_on_Amazon_S3';

/**
 * Used in the help button of the "Stats" dialog of the powerstore module.
 * @type {string}
 */
ZxLinks.HELP_HSM_Dialog_Stats = ZxLinks.Wiki + 'Zimbra_HSM_Plus/doMoveBlobs#doMoveBlobs_Stats_and_Info';

/**
 * Used in the Migration Tool module as main help link on the module page.
 * @type {string}
 */
ZxLinks.HELP_MIG_MigrationTool = ZxLinks.Wiki + 'Migrate_Zimbra';

ZxLinks.INFO_MIG_Preparation = ZxLinks.Wiki + 'Zimbra_Migration_Tool_Guide#Preparing_the_migration';

ZxLinks.INFO_MIG_Toolguide = ZxLinks.Wiki + 'Migration_Tool_Guide';

ZxLinks.HELP_MIG_Export_wizard = ZxLinks.Wiki + 'Migration_Tool_Export';

/**
 * Used in the Mobile module as main help link on the module page.
 * @type {string}
 */
ZxLinks.HELP_MOB_Mobile = ZxLinks.Wiki + 'Zimbra_Mobile_Plus';

ZxLinks.HELP_MOB_Settings = ZxLinks.Wiki + 'Zimbra_Mobile_Plus/Advanced_Settings';

ZxLinks.HELP_MOB_Remove_device = ZxLinks.Wiki + 'Zimbra_Mobile_Plus/SyncStates#Remove_Device';

ZxLinks.HELP_MOB_Reset_device = ZxLinks.Wiki + 'Zimbra_Mobile_Plus/SyncStates#Reset_Device';

ZxLinks.HELP_MOB_Device_Password = ZxLinks.Wiki + 'Zimbra_Mobile_Plus/The_Mobile_Password_feature';

/**
 * Used in the Notifications module as main help link on the module page.
 * @type {string}
 */
ZxLinks.HELP_NOT_Notifications = ZxLinks.Wiki + 'Notifications';

/**
 * @type {string}
 */
ZxLinks.HELP_NOT_Dialog_OpInfo = ZxLinks.Wiki + 'Zimbra_Backup_Plus/Operation_queue_and_queue_management#Operation_Queue_Management';

/**
 * @type {string}
 */
ZxLinks.HELP_NOT_Dialog_OpQueue = ZxLinks.Wiki + 'Zimbra_Backup_Plus/Operation_queue_and_queue_management#Zimbra_Backup_Plus.27s_Operation_Queue';

ZxLinks.MOB_INFO_SETUP = ZxLinks.Wiki + 'Zimbra_Mobile_Plus/Admin_Guide#Configuration';

ZxLinks.HELP_Installation_guide = ZxLinks.Wiki + 'Installation_Guide';

ZxLinks.HELP_ACL = ZxLinks.Wiki + 'Delegated_Authority_Settings';
ZxLinks.HELP_ACL_Dialog_edit_new = ZxLinks.Wiki + 'Delegated_Authority_Settings';
ZxLinks.HELP_ACL_Alias = ZxLinks.Wiki + 'Delegated_Authority_Settings#Delegated_Authority_and_mail_aliases';

ZxLinks.CHANGELOG = ZxLinks.Wiki + 'Changelog';

ZxLinks.DOS_FILTER = ZxLinks.Wiki + 'Zimbra_Suite_Plus_and_the_Zimbra_DoSFilter';

ZxLinks.HELP_Privacy_Policy = ZxLinks.Wiki + 'How_to_report_a_Zimbra_Suite_Plus_issue#Help_us_improve_Zimbra_Suite_Plus_Suite';

ZxLinks.HELP_CLN_about_client_zimlet = ZxLinks.Wiki + 'Client_Zimlet';
