/*
 * ***** BEGIN LICENSE BLOCK *****
 * Copyright (C) 2011-2016 ZeXtras
 *
 * The contents of this file are subject to the ZeXtras EULA;
 * you may not use this file except in compliance with the EULA.
 * You may obtain a copy of the EULA at
 * http://www.zextras.com/zextras-eula.html
 * ***** END LICENSE BLOCK *****
 */
var ZxMigXFormItem = [
  {
    type: _GROUP_,
    cssClass: 'ZmSelectedHeaderBg',
    colSpan: '*',
    id: 'xform_header',
    items: [
      {
        type: _GROUP_,
        cssClass: 'ZxMigSpacer',
        numCols: 3,
        width: '100%',
        colSizes: ['160px', '*', '200px'],
        align: _RIGHT_,
        items: [
          { type: _CELLSPACER_ },
          {
            type: _OUTPUT_,
            ref: 'name',
            valign: _TOP_,
            cssClass: 'AdminTitle'
          },
          {
            type: _GROUP_,
            width: 200,
            numCols: 1,
            items: [
              {
                type: _DWT_BUTTON_,
                label: zxMsg('LBL_MIG_Start_migration'),
                width: 200,
                cssStyle: 'margin-top:20px',
                onActivate: ZxMig.doStartExportWizard,
                icon: 'ZxMig'
              },
              {
                type: _DWT_BUTTON_,
                label: zxMsg('LBL_MIG_Stop_migration'),
                width: 200,
                cssStyle: 'margin-top:5px',
                onActivate: ZxMig.doStopAllOperations,
                icon: 'Cancel'
              }
            ]
          }
        ]
      }
    ]
  },
  {
    type: _GROUP_,
    numCols: 1,
    colSizes: ['100%'],
    tableCssStyle: 'width:100%;overflow:auto;padding-right:15px;padding-left:15px;',
    items: [
      {
        type: _TOP_GROUPER_,
        label: zxMsg('LBL_MIG_Mig_info'),
        numCols: 1,
        colSizes: ['100%'],
        items: [
          {
            type: _OUTPUT_,
            value: zxMsg(
              'MSG_MIG_Info_text',
              [
                '<a href="' + ZxLinks.INFO_MIG_Preparation + '" target="_blank">', '</a>',
                '<a href="' + ZxLinks.INFO_MIG_Toolguide + '" target="_blank">', '</a>',
                '<a href="' + ZxLinks.Download + '" target="_blank">', '</a>',
                '<a href="' + ZxLinks.Wiki + '" target="_blank">' + ZxLinks.Wiki + '</a>',
                '<a href="' + ZxLinks.Forum + '" target="_blank">' + ZxLinks.Forum + '</a>'
              ]
            )
          }
        ]
      },
      {
        type: _TOP_GROUPER_,
        label: zxMsg('LBL_BCK_COS_Management'),
        numCols: 1,
        colSizes: ['*'],
        items: [
          {
            type: _GROUP_,
            numCols: 3,
            colSizes: ['*', '100', '*'],
            items: [
              {
                type: _ZAWIZ_TOP_GROUPER_,
                label: zxMsg('LBL_MIG_COS_Exported'),
                colSizes: ['*'],
                numCols: 1,
                items: [
                  {
                    type: _ZX_LIST_VIEW_,
                    id: ZxMig.KEY_COSLIST_ENABLED,
                    ref: 'attrs/' + ZxMig.KEY_COSLIST_ENABLED,
                    filterEnabled: true,
                    height: 150
                  }
                ]
              },
              {
                type: _GROUP_,
                colSizes: ['*'],
                numCols: 1,
                cssClass: 'ZxListCenterButtons',
                items: [
                  {
                    type: _DWT_BUTTON_,
                    label: ZaMsg.TBB_Disable + ' &gt;',
                    onActivate: function(ev) {
                      ZxMig.doEnableDisableExportForCOS(this.getForm(), ev,
                        ZxMig.KEY_COSLIST_ENABLED, ZxMig.KEY_COSLIST_DISABLED);
                    }
                  },
                  {
                    type: _DWT_BUTTON_,
                    cssStyle: 'margin-top: 10px',
                    label: '&lt; ' + ZaMsg.TBB_Enable,
                    onActivate: function(ev) {
                      ZxMig.doEnableDisableExportForCOS(this.getForm(), ev,
                        ZxMig.KEY_COSLIST_DISABLED, ZxMig.KEY_COSLIST_ENABLED);
                    }
                  }
                ]
              },
              {
                type: _ZAWIZ_TOP_GROUPER_,
                label: zxMsg('LBL_MIG_COS_Not_Exported'),
                bmolsnr: true,
                colSizes: ['*'],
                numCols: 1,
                items: [
                  {
                    type: _ZX_LIST_VIEW_,
                    id: ZxMig.KEY_COSLIST_DISABLED,
                    ref: 'attrs/' + ZxMig.KEY_COSLIST_DISABLED,
                    filterEnabled: true,
                    height: 150
                  }
                ]
              }
            ]
          }
        ]
      },
      {
        type: _TOP_GROUPER_,
        numCols: 2,
        valign: _TOP_,
        colSizes: ['*', '*'],
        width: '100%',
        items: [
          {
            type: _GROUPER_,
            label: zxMsg('LBL_COR_updates'),
            numCols: 3,
            valign: _TOP_,
            colSizes: ['*', '*', '*'],
            align: _LEFT_,
            items: [
              {
                type: _OUTPUT_,
                ref: 'attrs/' + ZxMig.KEY_UPDATE_INFO + '/' + ZxMig.KEY_UPDATE_CURRENT_VERSION,
                bmolsnr: true,
                label: zxMsg('LBL_COR_update_version') + ': '
              },
              { type: _CELLSPACER_ },
              {
                type: _OUTPUT_,
                ref: 'attrs/' + ZxMig.KEY_UPDATE_INFO + '/' + ZxMig.KEY_UPDATE_AVAILABLE,
                bmolsnr: true,
                label: zxMsg('LBL_COR_update_available_version') + ': '
              },
              {
                type: _DWT_BUTTON_,
                label: zxMsg('LBL_COR_update_check'),
                icon: 'Refresh',
                onActivate: ZxMig.doCheckUpdate
              },
              {
                type: _OUTPUT_,
                ref: 'attrs/' + ZxMig.KEY_UPDATE_INFO + '/' + ZxMig.KEY_UPDATE_LAST_UPDATE,
                bmolsnr: true,
                cssStyle: 'font-weight: bold',
                label: zxMsg('LBL_COR_update_last_check') + ': '
              },
              { type: _CELLSPACER_ },
              {
                type: _CHECKBOX_,
                labelCssClass: 'ZxCheckboxLabel',
                bmolsnr: true,
                ref: 'attrs/' + ZxMig.KEY_PROPERTIES + '/' + ZxMig.KEY_NOTIFY_UPDATES,
                label: zxMsg('LBL_COR_update_notify') + ': ',
                labelLocation: _LEFT_,
                align: _LEFT_
              }
            ]
          },
          {
            type: _GROUPER_,
            label: zxMsg('LBL_NOT_Notifications'),
            numCols: 2,
            valign: _TOP_,
            colSizes: ['*', '*'],
            align: _LEFT_,
            items: [
              {
                type: _TEXTFIELD_,
                bmolsnr: true,
                ref: 'attrs/' + ZxMig.KEY_PROPERTIES + '/' + ZxMig.KEY_NOTIFICATION_TO,
                label: zxMsg('LBL_COR_notification_email_recipient') + ': ',
                labelLocation: _LEFT_,
                align: _LEFT_,
                width: 150
              },
              {
                type: _OSELECT1_,
                bmolsnr: true,
                ref: 'attrs/' + ZxMig.KEY_PROPERTIES + '/' + ZxMig.KEY_NOTIFICATION_LEVEL,
                label: zxMsg('LBL_COR_notification_level') + ': ',
                labelLocation: _LEFT_,
                align: _LEFT_,
                choices: ZxMig.LogLevels
              },
              {
                type: _OSELECT1_,
                bmolsnr: true,
                ref: 'attrs/' + ZxMig.KEY_PROPERTIES + '/' + ZxMig.KEY_LOG_LEVEL,
                label: zxMsg('LBL_COR_log_level') + ': ',
                labelLocation: _LEFT_,
                align: _LEFT_,
                choices: ZxMig.LogLevels
              }
            ]
          }
        ]
      }
    ]
  }
];
